#ifndef __VIDEO____H__
#define __VIDEO____H__

enum videoMode {
    Video_viaQueueTimer = 0,
    Video_viaSDLTimer = 1
};

enum videoSoundSwitch {
    VideoSoundSwitch_OnLag = 0,
    VideoSoundSwitch_OnFrameskip = 1
};

BOOL video_start(enum videoMode videoMode, SDL_Window* window, char zoom, int windowWidth, int windowHeight);
void video_destroy();

void video_disable_frameskip();

// percentage of frame target duration before frameskip starts
void video_set_lag_allowance_before_frameskip(Uint8 percent);
void video_set_soundswitch(enum videoSoundSwitch soundSwitch);

SDL_Renderer* video_get_renderer();

void video_set_renderer_type(Uint8 renderer);

void video_state_save(Uint8 slot);
void video_state_load(Uint8 slot);

#endif // !__VIDEO____H__
